<?session_start();
require("../conectar.php");	
$usuario=$_SESSION["usuario_login"];
$rfc=$_POST['rfc'];
$nomcomercial=$_POST['nomcomercial'];
$nomfiscal=$_POST['nomfiscal'];
$direccion=$_POST['direccion'];
$cp=$_POST['cp'];
$telefono=$_POST['telefono'];
$correo=$_POST['correo'];
$formapago=$_POST['formapago'];
$banco=$_POST['banco'];
$nocuenta=$_POST['nocuenta'];
$clabe=$_POST['clabe'];
$observaciones=$_POST['observaciones'];
$ff=$_POST['ff'];
$idprov=$_POST['idprov'];
$folio=$_POST['folio'];

$mat=$_POST['std'];
$cu=$_POST['prototipo'];
$com=$_POST['paquete'];
$lonmat=strlen($mat);


	$sqlc="SELECT idmatpro FROM material_proveedor WHERE foliomaterial='$folio'";
	$re=mysql_query($sqlc);
	$n=1;
	while($ls=mysql_fetch_array($re)){
	 $ids[$n]=$ls['idmatpro'];
	 $n++;
	}
	 $nopbd=mysql_num_rows($re);//numero de conceptos resgitrados en la base
	 $noped=count($mat);// numero de conceptos cargados en el pedido
	 
		if($noped==$nopbd){//Si el numero de conceptos cargados es igual al numero de conceptos en la base de datos solo actualiza
			 $i=1;
			 foreach($mat as $indice=>$valor){
				 $id=$ids[$i];
				 $sqlprod="UPDATE material_proveedor SET idmaterial='$mat[$indice]',costounitario='$cu[$indice]',observacion='$com[$indice]' WHERE foliomaterial='$folio' AND idmatpro='$id'"; 	 
				 mysql_query($sqlprod);
				 $i++;
			}
		}
		if($noped>$nopbd){//si el numero de conceptos cargados en mayor al que esta en la base entonces actualiza e inserta
				 $i=1;
				foreach($mat as $indice=>$valor){
				 $id=$ids[$i];
				 if($i<=$nopbd){//actualiza los pedidos existentes
					 $sqlprod="UPDATE material_proveedor SET idmaterial='$mat[$indice]',costounitario='$cu[$indice]',observacion='$com[$indice]' WHERE foliomaterial='$folio' AND idmatpro='$id'"; 	 
					 mysql_query($sqlprod);
					}else{//inserta los pedidos que se agregaron
				$sqlprod="INSERT INTO material_proveedor(foliomaterial,idmaterial,costounitario,observacion)VALUES('$folio','$mat[$indice]','$cu[$indice]','$com[$indice]')"; 	 
						 mysql_query($sqlprod);		
					}
				   $i++;
				}
			}
     if($noped<$nopbd){
	   echo "NO SE PUEDEN ELIMINAR PRODUCTOS DEL PROVEEDOR<br><br>";
	 }	
	 
					 $sql="UPDATE proveedormat SET nomcomercial='$nomcomercial',nomfiscal='$nomfiscal',rfc='$rfc',direccion='$direccion',cp='$cp',telefono='$telefono',correo='$correo',formapago='$formapago',banco='$banco',nocuenta='$nocuenta',clabe='$clabe',observaciones='$observaciones' WHERE idproveedor='$idprov'";
					 mysql_query($sql);
					 
					 
					 echo "EL REGISTRO SE HA MODIFICADO";
?>
